Skip to navigation

List transactions for an account

View as Markdown

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

accountIdstringRequired
The ID of the account.

Query parameters

fromdateOptional

Start date for the transaction range (YYYY-MM-DD).

todateOptional

End date for the transaction range (YYYY-MM-DD).

limitintegerOptional<=500
Maximum number of transactions to return.

Response

A list of transactions.
idstring
Unique identifier for the transaction.
accountIdstring
The account this transaction belongs to.
amountdouble
Transaction amount. Positive for credits, negative for debits.
currencystring
ISO 4217 currency code.
typeenum
Transaction type.
Allowed values:
statusenum
Transaction status.
Allowed values:
postedAtdatetime
Timestamp when the transaction posted.
descriptionstringOptional

Human-readable description or memo.